drop table Answer;
drop table Question;



CREATE TABLE Question (
                           id SERIAL PRIMARY KEY,
                           text VARCHAR(255) NOT NULL
);

CREATE TABLE Answer (
                         id SERIAL PRIMARY KEY,
                         question_id INTEGER REFERENCES Question(id),
                         text VARCHAR(255) NOT NULL,
                         is_correct BOOLEAN DEFAULT FALSE
);

-- Ajout des questions

INSERT INTO question (text) VALUES ('Qui a conçu le cône porté par Madonna lors de sa tournée Blond Ambition en 1990 ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (1, 'Jean-Paul Gaultier', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (1, 'Christian Lacroix', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (1, 'Versace', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (1, 'Karl Lagerfeld', false);

INSERT INTO question (text) VALUES ('Qui est l''artiste française connue pour ses tubes "Djadja" et "Pookie" ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (2, 'Aya Nakamura', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (2, 'Indila', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (2, 'Shy''m', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (2, 'Amel Bent', false);

INSERT INTO question (text) VALUES ('Quelle mer est bordée par la Turquie, la Bulgarie, la Roumanie, l''Ukraine, la Russie et la Géorgie ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (3, 'La mer Noire', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (3, 'La mer Méditerranée', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (3, 'La mer Caspienne', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (3, 'La mer Baltique', false);

INSERT INTO question (text) VALUES ('Quel film a remporté l''Oscar du meilleur film en 2020 ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (4, 'Parasite', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (4, '1917', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (4, 'Joker', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (4, 'Once Upon a Time... in Hollywood', false);

INSERT INTO question (text) VALUES ('Quelle chanson de Miley Cyrus est souvent associée à l''album "Plastic Hearts" ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (5, 'Flower', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (5, 'Wrecking Ball', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (5, 'Party in the U.S.A.', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (5, 'Malibu', false);

INSERT INTO question (text) VALUES ('Qui est l''actrice principale de la série télévisée "The Crown" ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (6, 'Olivia Colman', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (6, 'Claire Foy', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (6, 'Helena Bonham Carter', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (6, 'Gillian Anderson', false);

INSERT INTO question (text) VALUES ('Quel est le nom du dernier album studio de Taylor Swift, sorti en 2020 ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (7, 'Folklore', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (7, 'Lover', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (7, 'Reputation', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (7, 'Evermore', false);

INSERT INTO question (text) VALUES ('Quel acteur a remporté l''Oscar du meilleur acteur en 2020 pour son rôle dans le film "Joker" ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (8, 'Joaquin Phoenix', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (8, 'Leonardo DiCaprio', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (8, 'Brad Pitt', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (8, 'Adam Driver', false);

INSERT INTO question (text) VALUES ('Quel est le nom du premier album studio de la chanteuse britannique Dua Lipa, sorti en 2017 ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (9, 'Dua Lipa', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (9, 'Future Nostalgia', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (9, 'Dua Lipa: Complete Edition', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (9, 'Dua Lipa: The Remixes', false);

INSERT INTO question (text) VALUES ('Quel est le nom d''un célèbre festival de musique électronique se déroulant en Belgique ?');
INSERT INTO Answer (question_id, text, is_correct) VALUES (10, 'Tomorrowland', true);
INSERT INTO Answer (question_id, text, is_correct) VALUES (10, 'Ultra Music Festival', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (10, 'Electric Daisy Carnival', false);
INSERT INTO Answer (question_id, text, is_correct) VALUES (10, 'Coachella', false);






